Name:           perl-Test2-Workflow
Version:        0.000018
Release:        3%{?dist}
Summary:        Interface for writing workflow tools such as RSPEC
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2-Workflow/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test2-Workflow-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Importer) >= 0.014
BuildRequires:  perl(List::Util)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Info) >= 0.002
# Test2::API version from Test2 in META
BuildRequires:  perl(Test2::API) >= 1.302048
BuildRequires:  perl(Test2::AsyncSubtest) >= 0.000017
BuildRequires:  perl(Test2::Event::Exception)
# Test2::Event::Note loaded by send_even()
BuildRequires:  perl(Test2::Event::Note)
# Test2::Event::Skip loaded by send_even()
BuildRequires:  perl(Test2::Event::Skip)
# Test2::Todo version from Test2::Suite in META
BuildRequires:  perl(Test2::Todo) >= 0.000034
BuildRequires:  perl(Test2::Tools::Mock)
BuildRequires:  perl(Test2::Util)
BuildRequires:  perl(Test2::Util::HashBase)
BuildRequires:  perl(Test2::Util::Sub)
BuildRequires:  perl(Test2::Util::Trace)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
# Optional run-time:
BuildRequires:  perl(Sub::Name) >= 0.11
# Tests:
BuildRequires:  perl(Test2::Bundle::Extended)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Importer) >= 0.014
Requires:       perl(Sub::Info) >= 0.002
# Test2::API version from Test2 in META
Requires:       perl(Test2::API) >= 1.302048
Requires:       perl(Test2::AsyncSubtest) >= 0.000017
# Test2::Event::Note loaded by send_even()
Requires:       perl(Test2::Event::Note)
# Test2::Event::Skip loaded by send_even()
Requires:       perl(Test2::Event::Skip)
# Test2::Todo version from Test2::Suite in META
Requires:       perl(Test2::Todo) >= 0.000034
Recommends:     perl(Sub::Name) >= 0.11
Suggests:       perl(Sub::Util)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Importer|Test2::API|Test2::AsyncSubtest|Test2::Todo)\\)$
%global __requires_exclude %{__requires_exclude}|^perl\\((Sub::Info)\\)$

%description
These Perl modules intend to do for 'workflow' test tools what Test::Builder
and Test2 do for general test tools. The problem with workflow tools is that
most do not play well together. These modules provide a very generic/abstract
look at workflows that allows tools to be built that accomplish their
workflows, but in a way that plays well with others.

%prep
%setup -q -n Test2-Workflow-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.000018-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.000018-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 01 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.000018-1
- 0.000018 bump

* Mon Aug 01 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000017-1
- 0.000017 bump

* Fri Jul 29 2016 Petr Pisar <ppisar@redhat.com> - 0.000015-1
- 0.000015 bump

* Mon Jul 04 2016 Petr Pisar <ppisar@redhat.com> - 0.000014-1
- 0.000014 bump

* Mon Jun 27 2016 Petr Pisar <ppisar@redhat.com> - 0.000012-1
- 0.000012 bump

* Thu Jun 23 2016 Petr Pisar <ppisar@redhat.com> - 0.000010-1
- 0.000010 bump

* Wed Jun 01 2016 Petr Pisar <ppisar@redhat.com> - 0.000009-1
- 0.000009 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000006-2
- Perl 5.24 rebuild

* Fri Feb 12 2016 Petr Pisar <ppisar@redhat.com> 0.000006-1
- Specfile autogenerated by cpanspec 1.78.
